Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::Reading::Status Struct Reference

Numeric sensor status. More...

## Public Attributes
boolean | aboveUpperCritical
| Reading is above upper critical threshold.
boolean | aboveUpperWarning
| Reading is above upper warning threshold.
boolean | belowLowerWarning
| Reading is below lower warning threshold.
boolean | belowLowerCritical
| Reading is below lower critical threshold.

## Detailed Description

Numeric sensor status.

The status is determined on the basis of rounded values. The rounding is done according to MetaData::decdigits. This ensures that status and value will match when displayed simultaneously, if the value is also displayed rounded.

Definition at line 133 of file NumericSensor.idl.

## Member Data Documentation

## ◆ aboveUpperCritical

boolean sensors::NumericSensor::Reading::Status::aboveUpperCritical

Reading is above upper critical threshold.

Definition at line 134 of file NumericSensor.idl.

## ◆ aboveUpperWarning

boolean sensors::NumericSensor::Reading::Status::aboveUpperWarning

Reading is above upper warning threshold.

Definition at line 135 of file NumericSensor.idl.

## ◆ belowLowerCritical

boolean sensors::NumericSensor::Reading::Status::belowLowerCritical

Reading is below lower critical threshold.

Definition at line 137 of file NumericSensor.idl.

## ◆ belowLowerWarning

boolean sensors::NumericSensor::Reading::Status::belowLowerWarning

Reading is below lower warning threshold.

Definition at line 136 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl